Points all production domains for a project to the given deploy
POST
https://api.vercel.com/v10/projects/{projectId}/promote/{deploymentId}Allows users to promote a deployment to production. Note: This does NOT rebuild the deployment. If you need that, then call create-deployments endpoint.
https://api.vercel.com/v10/projects/{projectId}/promote/{deploymentId}
const response = await fetch('https://api.vercel.com/v10/projects/projectId/promote/deploymentId?teamId=string&slug=string', { method: 'POST', headers: { 'Authorization': 'Bearer YOUR_ACCESS_TOKEN', 'Content-Type': 'application/json', },});
const data = await response.json();console.log(data);Response
{}AuthorizationbearerToken
Default authentication mechanism
projectIdstringRequired
deploymentIdstringRequired
teamIdstringOptional
The Team identifier to perform the request on behalf of.
slugstringOptional
The Team slug to perform the request on behalf of.